Bug 744 - assertion at working with mangle table
: assertion at working with mangle table
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/iptables)
: unstable
: all Linux
: P4 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-03-23 18:02 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-03-23 18:02:37
iptables-1.2.5-alt2

---
# iptables -t mangle -nvL
iptables: libiptc/libip4tc.c:384: do_check: Assertion `h->info.valid_hooks == (1 << 0 | 1 << 3)\' failed.
Aborted
# iptables -t mangle -A OUTPUT -p tcp --dport telnet -j TOS --set-tos Minimize-Delay
iptables: libiptc/libip4tc.c:384: do_check: Assertion `h->info.valid_hooks == (1 << 0 | 1 << 3)\' failed.
Aborted


---

------- Comment #1 From 2002-03-23 18:21:35 -------
Черт, в мыло эта часть (Steps To Reproduce) не попала -
на те Вам еще и так (т.к. очень важно).
# iptables -t mangle -nvL
iptables: libiptc/libip4tc.c:384: do_check: Assertion `h->info.valid_hooks
== (1 << 0 | 1 << 3)\' failed.
Aborted
# iptables -t mangle -A OUTPUT -p tcp --dport telnet -j TOS --set-tos
Minimize-Delay
iptables: libiptc/libip4tc.c:384: do_check: Assertion `h->info.valid_hooks
== (1 << 0 | 1 << 3)\' failed.
Aborted
------- Comment #2 From 2002-03-23 18:21:35 -------
Черт, в мыло эта часть (Steps To Reproduce) не попала -
на те Вам еще и так (т.к. очень важно).
# iptables -t mangle -nvL
iptables: libiptc/libip4tc.c:384: do_check: Assertion `h->info.valid_hooks
== (1 << 0 | 1 << 3)\' failed.
Aborted
# iptables -t mangle -A OUTPUT -p tcp --dport telnet -j TOS --set-tos
Minimize-Delay
iptables: libiptc/libip4tc.c:384: do_check: Assertion `h->info.valid_hooks
== (1 << 0 | 1 << 3)\' failed.
Aborted
------- Comment #3 From 2002-04-16 20:11:30 -------
Fixed in 1.2.6a-alt1
------- Comment #4 From 2002-04-16 20:11:30 -------
Fixed in 1.2.6a-alt1
------- Comment #5 From 2002-04-16 20:12:02 -------

    
------- Comment #6 From 2002-04-16 20:12:02 -------